%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion	1.68
%define release		1mdk

%define realname	MnoGoSearch
%define modname		mnogosearch
%define dirname		%{modname}
%define soname		%{modname}.so
%define inifile		33_%{modname}.ini
%define mod_src		%{modname}.c
%define rlibs		libmnogosearch3 libopenssl0
%define blibs		libmnogosearch3-devel openssl-devel zlib-devel >= 1.1.4

Summary:		The %{realname} module for PHP
Name:			php-%{modname}
Version:		%{phpversion}_%{rversion}
Release:		%{release}
Group:			System/Servers
URL:			http://www.mnogosearch.org/
License:		PHP License
Source0:		%{modname}-php-extension-%{rversion}.tar.bz2
Requires:		libphp_common%{libversion}
Requires:		%{rlibs}
Requires:		php%{libversion}
BuildRequires:  	php%{libversion}-devel
BuildRequires:		%{blibs}
BuildRoot:		%{_tmppath}/%{name}-root
Provides: 		ADVXpackage

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%prep
%setup -q -n %{rversion}

%build

phpize
aclocal
%configure --with-openssl=%{_prefix} --with-%{modname}=%{_prefix}
%make
mv modules/*.so .
%{phpdir}/build/php-killrpath %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
mkdir -p %{buildroot}%{phpdir}/extensions
mkdir -p %{buildroot}%{_docdir}
mkdir -p %{buildroot}%{_sysconfdir}/php

install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README README.%{modname}
%{phpdir}/extensions/%{soname}
%config(noreplace) %{_sysconfdir}/php/%{inifile}

%changelog
* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_1.68-1mdk
- fix the php versioning

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.68-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.68-2mdk
- rebuilt against rebuilt buildrequires
- fix requires & buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.68-1mdk
- built against php-4.3.0
- 1.68
- follow the spec file design as in main
- use provided %{phpdir}/build/php-killrpath ;)

* Sun Sep 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.65-1mdk
- initial cooker contrib
